import { FoundationElement } from '@microsoft/fast-foundation';
import { MultiselectOption } from '../multiselect';
import { Position } from '../multiselect/multiselect.consts';
export declare const foundationSelectSearchShadowOptions: ShadowRootInit;
export declare const defaultSelectSearchConfig: {};
/**
 * @tagname %%prefix%%-select-search
 */
export declare class SelectSearch extends FoundationElement {
    name: string;
    all: boolean;
    singleSelection: boolean;
    displayAmount: number;
    allSelected: boolean;
    search: boolean;
    disabled: boolean;
    defaultSlottedNodes: Node[];
    valueFormatter: any;
    private clickOutside;
    open: boolean;
    openChanged(previous: boolean, open: boolean): void;
    options: MultiselectOption[];
    selectedOptions: string[];
    filteredAvailableOptions: MultiselectOption[];
    scrollContainer: HTMLElement;
    position: Position;
    onAllSelectedCallback: (allSelected: boolean) => void;
    private initialisedOptions;
    arrowIcon: SVGElement;
    optionsElement: HTMLElement;
    connectedCallback(): void;
    disconnectedCallback(): void;
    optionsChanged(): void;
    selectedOptionsChanged(): void;
    toggle(): void;
    setDropdownPosition(): void;
    optionGetter(option: MultiselectOption): string;
    getItemLabel(option: MultiselectOption): any;
    isOptionDisabled(option: MultiselectOption): boolean;
    get getDisplayValue(): string;
    get getPlaceholder(): string;
    get isAllSelected(): boolean;
    get isAllOptionsDisabled(): boolean;
    isOptionSelected(normalizedOption: MultiselectOption): boolean;
    selectCheckboxOne(normalizedOption: MultiselectOption): void;
    selectOption(normalizedOption: MultiselectOption): void;
    getEnabledOptionsCount(): number;
    selectCheckboxAll(): void;
    setFilter(event: InputEvent): void;
    changeHandler(event: Event): void;
    private handleClickOutside;
}
export declare const foundationSelectSearch: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<SelectSearch, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
    shadowOptions: ShadowRootInit;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    template: import("@microsoft/fast-element").ViewTemplate<SelectSearch, any>;
    styles: import("@microsoft/fast-element").ElementStyles;
    shadowOptions: ShadowRootInit;
}, typeof SelectSearch>;
//# sourceMappingURL=select-search.d.ts.map